#!/bin/bash

set -e

function usage() {
  echo "Usage: ./build_templates.sh [vagrant box name]"
  exit
}

if [ $# -ne 1 ]; then
  usage
fi

export SSH_AUTH_SOCK=""
if [ "$1" == "windows_7_64" ]; then
  # Build the templates on windows by running --provision.
  vagrant reload --provision windows_7_64
  if [ $? -eq 0 ]; then
    vagrant halt "$1"
  fi
else
  vagrant up "$1"
  vagrant ssh -c "source ~/PYTHON_ENV/bin/activate && grr_client_build --config=/grr/grr/config/grr-server.yaml build --output /grr/grr/executables/" "$1"
  vagrant ssh -c "source ~/PYTHON_ENV/bin/activate && grr_client_build --config=/grr/grr/config/grr-server.yaml build_components --output /grr/grr/executables/components" "$1"

  if [ $? -eq 0 ]; then
    vagrant halt "$1"
  fi
fi
